Skip to main content
POST
/
v1alpha1
/
offers
CreateOffer
curl --request POST \
  --url https://api.toffeepay.com/v1alpha1/offers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "game_id": "<string>",
  "title": "<string>",
  "image": "<string>",
  "category": "<string>",
  "items": [
    {
      "id": "<string>",
      "icon": "<string>",
      "amount": 123
    }
  ],
  "price": 123,
  "currency": "USD",
  "country": "<string>",
  "user_id": "<string>",
  "reference": "<string>",
  "description": "<string>",
  "label": "<string>",
  "status": "inactive",
  "stock": 123,
  "return_url": "<string>",
  "wallet_enabled": true
}
'
{
  "id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
game_id
string
required
title
string
required
image
string
required
Pattern: ^(https?://|data:)
category
string
required
items
OfferItem · object[]
required
Minimum array length: 1
price
integer<int32>
required
currency
enum<string>
required
Available options:
USD,
GBP,
EUR
country
string
required

ISO 3166-1 alpha-2: "US", "GB", "DE"

Required string length: 2
Pattern: ^[A-Z]{2}$
user_id
string | null
reference
string | null
description
string | null
label
string | null
status
enum<string> | null
Available options:
inactive,
active
stock
integer<int32> | null
return_url
string<uri>
wallet_enabled
boolean | null

Response

200 - application/json

Success

id
string
required